Description

Supportanfrage

Wir haben hier folgendes Problem:

Wenn man euren adtf_configuration_editor öffnet und kein Projekt geladen hat, erscheint ein Startbildschirm.

Hier sind vier Buttons:

New Project (funktioniert)

Open Project (funktioniert)

Guides (funktioniert nicht)

SDK (funktioniert nicht)

für Guides und SDK bräuchten wir Branding Informationen, wo muss der entsprechende Link hinterlegt werden, damit diese Buttons

eine Funktionalität bekommen?

Und wie müssen die Links heißen?

Lösung

Wird ADTF 3.6.2 unter Windows in einem Pfad mit Leerzeichen installiert, sind die Buttons "Guides" und "SDK" im Configuration

Editor Startfenster wirkungslos. Die URLs werden dann nicht fehlerfrei generiert und der Browser kann damit nicht umgehen.

Statt Leerzeichen muss die %20 in den übergebenen Pfad eingefügt werden

Es wurde das Produkt-Ticket ACORE-10208 erstellt

History

#1 - 2019-10-17 14:03 - hidden

- Status changed from New to Customer Feedback Required

- Topic set to ADTF::CE

- Customer set to ELEKTROBIT

- Affected Products ADTF 3.6.2 added

Hallo,

das Problem konnte ich bei mir nicht nachvollziehen.

Es sollte sich jeweils der Browser öffnen mit folgenden URLs (falls in C:/adtf):

file:///C:/adtf/adtf-3.6.2-WIN10_x64_vc141/doc/guides/index.html

C:/adtf/adtf-3.6.2-WIN10_x64_vc141/doc/adtf_html/index.html

Welches System wird verwendet?

sind die Dateien und Ordner bei euch vorhanden?

Ist ein (Standard-)Browser eingerichtet?

In was für ein Verzeichnis wurde installiert?

Gruß

Michael
#3 - 2019-10-17 15:45 - hidden

Hallo liebes Supportteam,

 

Die Index-Files sind vorhanden aber unter

C:\EB\EB Assist ADTF 3.6.2\doc\guides\index.html

und

C:\EB\EB Assist ADTF 3.6.2\doc\adtf_html\index.html

Ich denke ihr benutzt keine absoluten Pfade?

Das Betriebssystem ist Windows 10.

Standardbrowser ist vorhanden (Opera, hab auch Edge kurz eingestellt fürs Probieren)

Verzeichnis und Version von ADTF3 sind wie oben geschrieben.

 

Danke im Vorraus.

 

 

Best regards,

Jan Polensky [Languages: German, English]

#4 - 2019-10-17 15:54 - hidden

- Platform Windows 10 64bit added

Kurz nachgestellt mit anderem Pfad,

mit ADTF in C:\changed_directory_adtf öffnen sich

file:///C:/changed_directory_adtf/adtf-3.6.2-WIN10_x64_vc141/doc/guides/index.html

und

file:///C:/changed_directory_adtf/adtf-3.6.2-WIN10_x64_vc141/doc/adtf_html/index.html

Der relative Pfad (Perspektive von ADTF) wird als absoluter Pfad für den Browser zusammengesetzt und übergeben.

Das Problem muss an anderer Stelle liegen

Lassen sich die Dateien normal über das Dateisystem öffnen?

Gruß

Michael

#6 - 2019-10-18 13:15 - hidden

Hallo Michael,

 

danke für die Informationen, die haben mir geholfen das Problem zu analysieren.

Ihr setzt zwar eine absolute URL zusammen aber decodiert diese nicht, wie es für den Browser nötig wäre.

Bspw. muss für Leerzeichen die %20 eingefügt werden. Eigentlich hat jede Hochsprache entsprechende Funktionalitäten.

Das ist das Problem und der Grund warum die Links nicht funktionieren.

Ich würde euch dringend bitten, das auf eine eurer Buglisten zu setzen.

Wenn du sagst, das wird nicht passieren, müssen wir die Sache in den nächsten Installern mit dem Pfad korrigieren,

aber das fällt euch dann spätestens bei anderen Zeichensätzen ausländischer Anwender wieder auf die Füße.

 

Danke für deine Informationen.
Best regards,

Jan Polensky [Languages: German, English]

#7 - 2019-10-18 13:15 - hidden

Hallo Michael,

Ja die Tickets hängen zusammen, da sie uns beim Branding eurer ADTF3.6.2 Version aufgefallen sind, beleuchten aber so wie ich glaube

unterschiedliche Probleme.

Ich glaube, es könnte sein, dass bei euch auf den Testrechnern eventuell QT in den Systempfaden vorhanden ist und das ist hier eben nicht der Fall.

Aber da ich eure Implementierung nicht kenne ist das eben nur eine Vermutung.

Beim nächsten Release würden wir das gern funktional liefern können. Und es hat mindestens bis zur 3.5 zurück nicht für uns funktioniert.

 

Best regards,

Jan Polensky [Languages: German, English]

#8 - 2019-10-18 13:33 - hidden

- Status changed from Customer Feedback Required to In Progress

#9 - 2019-10-18 14:48 - hidden

- Status changed from In Progress to To Be Closed

- Resolution set to Product Issue Opened

- Product Issue Numbers set to https://www.cip.audi.de/jira/browse/ACORE-10208

Konnte nachgestellt werden

Es wurde das Produkt-Ticket ACORE-10208 erstellt

#10 - 2019-10-18 14:50 - hidden

- Description updated

#11 - 2020-07-07 16:28 - hidden

- Subject changed from EBPRODUCTSUPPORT-5105 Problem ADTF3.6.2 ADTF configuration editor to EBPRODUCTSUPPORT-5105 Problem with

spaces to reolve paths (e.g. guides)

- Private changed from Yes to No

#12 - 2020-07-07 16:29 - hidden

- Subject changed from EBPRODUCTSUPPORT-5105 Problem with spaces to reolve paths (e.g. guides) to EBPRODUCTSUPPORT-5105 Problem

with spaces to resolve paths (e.g. guides)

- Support Level changed from 2nd Level to 3rd Level

#13 - 2020-07-07 16:40 - hidden

- Status changed from To Be Closed to Closed

Powered by TCPDF (www.tcpdf.org)

2024-04-26 3/3

http://www.tcpdf.org

